httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Rafael Faura" <rfa...@bassy.net>
Subject RE: [users@httpd] PHP on Apache 2
Date Wed, 04 Feb 2004 02:04:55 GMT

According to http://es2.php.net/manual/en/install.apache.php (just under
'Installing PHP on Windows with Apache 1.3.x' title) :

"There are two ways to set up PHP to work with Apache 1.3.x on Windows. One
is to use the CGI binary (php.exe), the other is to use the Apache module
DLL [...]It is worth noting here that now the SAPI module has been made more
stable under Windows, we recommend it's use above the CGI binary, since it
is more transparent and secure."

" ... By using the CGI setup, your server is open to several possible
attacks."

That's related with an Apache 1.3.x installation under Windows, don't know
if its applicable under Linux too. About Apache 2.0.x IIRC I've readed some
time ago that Apache docs recommended the use of PHP DLL files instead CGI,
for security and performance reasons.



----------------------------
Rafael Faura Cucalón
Web Developer
rfaura@bassy.net
 
Bassy Servicios Inform√°ticos
http://www.bassy.net


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message